Installing cuda-10-2 on openSUSE want to deinstall nvidia drivers

Hi,

in an attempt to finally get cuda accelerated GPU computing up, running and documented for out blender builds, I noticed something strange: when following https://docs.nvidia.com/cuda/cuda-installation-guide-linux/, the step zypper install cuda results in:

Problem: cuda-10.2.89-1.x86_64 requires cuda-10-2 >= 10.2.89, but this requirement cannot be provided
  not installable providers: cuda-10-2-10.2.89-1.x86_64[cuda]
 Solution 1: Following actions will be done:
  deinstallation of nvidia-computeG05-440.59-34.1.x86_64
  deinstallation of nvidia-glG05-440.59-34.1.x86_64
  deinstallation of x11-video-nvidiaG05-440.59-34.1.x86_64
  deinstallation of nvidia-gfxG05-kmp-default-440.59_k5.5.2_1-34.5.x86_64
 Solution 2: do not install cuda-10.2.89-1.x86_64
 Solution 3: break cuda-10.2.89-1.x86_64 by ignoring some of its dependencies

Of course, it’s a bad idea to deinstall the nvidia drivers at this point.

Any idea anybody?

try
zypper install cuda-toolkit-10-2

That did the trick.

Thanks, Robert, mouch appreciated.